Queries
List Token Holders
Retrieve all holders of a specific stock token
GET
/
stocks
/
api
/
fetch
/
holders
/
{tokenAddress}
curl "https://api.trusset.org/stocks/api/fetch/holders/0x1234...?limit=50" \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
`https://api.trusset.org/stocks/api/fetch/holders/${tokenAddress}?limit=50`,
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
console.log(`${data.total} total holders`);
{
"success": true,
"data": {
"holders": [
{
"address": "0xAbC123dEf456789012345678901234567890AbCd",
"balance": "5000"
},
{
"address": "0x9876543210fedcba9876543210fedcba98765432",
"balance": "1500"
}
],
"total": 2
},
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
Returns a paginated list of addresses holding a given stock token, along with the total holder count.
Path Parameters
string
required
Address of the stock token contract.
Query Parameters
integer
default:"100"
Maximum number of holders to return. Capped at 500.
Response Fields
boolean
Request status.
object
curl "https://api.trusset.org/stocks/api/fetch/holders/0x1234...?limit=50" \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
`https://api.trusset.org/stocks/api/fetch/holders/${tokenAddress}?limit=50`,
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
console.log(`${data.total} total holders`);
{
"success": true,
"data": {
"holders": [
{
"address": "0xAbC123dEf456789012345678901234567890AbCd",
"balance": "5000"
},
{
"address": "0x9876543210fedcba9876543210fedcba98765432",
"balance": "1500"
}
],
"total": 2
},
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
⌘I
curl "https://api.trusset.org/stocks/api/fetch/holders/0x1234...?limit=50" \
-H "X-API-Key: trusset_abc123xy_secret..."
const response = await fetch(
`https://api.trusset.org/stocks/api/fetch/holders/${tokenAddress}?limit=50`,
{
headers: { 'X-API-Key': 'trusset_abc123xy_secret...' }
}
);
const { data } = await response.json();
console.log(`${data.total} total holders`);
{
"success": true,
"data": {
"holders": [
{
"address": "0xAbC123dEf456789012345678901234567890AbCd",
"balance": "5000"
},
{
"address": "0x9876543210fedcba9876543210fedcba98765432",
"balance": "1500"
}
],
"total": 2
},
"metadata": {
"requestId": "550e8400-e29b-41d4-a716-446655440000",
"timestamp": "2025-06-15T12:00:00.000Z",
"instanceId": "inst_abc123"
}
}
